package numarea;

import java.awt.BorderLayout;
import java.awt.Font;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

//==========================================================================
// Shepe タブの中身
//==========================================================================	
class	ShapePanel extends JPanel {
	private	GridField		gridfield;
	private 	JTextArea		shapeTextArea;

	ShapePanel(GridField grid) {
		this.gridfield = grid;
		grid.shapepanel = this;

		setLayout(new BorderLayout());

		// 中央、統計結果
		Font monofont = new Font(Font.MONOSPACED, Font.BOLD, 12);
		shapeTextArea = new JTextArea();
		shapeTextArea.setFont(monofont);
		shapeTextArea.setEditable(false);

		JScrollPane scrollpane = new JScrollPane(shapeTextArea, 
				JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, 
				JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);

		add(scrollpane,BorderLayout.CENTER);
	}		

	void updateShapeTable() {
		if( shapeTextArea==null )
			return;

		shapeTextArea.setText(gridfield.getShapeCounts());
	}
}

